<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@android:color/white"
    android:orientation="vertical">

    <View
        android:layout_width="match_parent"
        android:layout_height="0.5dp"
        android:background="@color/line_table" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:paddingEnd="15dp"
        android:paddingStart="5dp">

        <CheckBox
            android:id="@+id/check_box"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_vertical"
            android:clickable="false" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:paddingBottom="10dp"
            android:paddingStart="5dp"
            android:paddingTop="10dp">

            <ImageView
                android:id="@+id/image_view_device"
                android:layout_width="60dp"
                android:layout_height="60dp" />

            <LinearLayout
                android:id="@+id/layout_go_to_detail"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginStart="15dp"
                android:layout_weight="1"
                android:gravity="center_vertical"
                android:orientation="vertical">

                <com.seatel.mobilehall.util.customview.CustomTextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="Device"
                    android:textColor="@android:color/black"
                    android:textSize="@dimen/small_text_size" />

                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="-5dp">

                    <com.seatel.mobilehall.util.customview.CustomTextView
                        android:id="@+id/tv_device_name"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="Iphone 256GB"
                        android:maxLines="1"
                        android:layout_alignParentStart="true"
                        android:layout_toLeftOf="@+id/tv_device_price"
                        android:textColor="@color/colorPrimary"
                        android:textSize="@dimen/large_text_size" />

                    <TextView
                        android:id="@+id/tv_device_price"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="$0"
                        android:layout_alignParentRight="true"
                        android:layout_alignBaseline="@+id/tv_device_name"
                        android:textColor="@android:color/black"
                        android:textSize="@dimen/large_text_size" />
                </RelativeLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="5dp">

                    <LinearLayout
                        android:layout_width="60dp"
                        android:layout_height="wrap_content"
                        android:layout_marginEnd="10dp">

                        <com.seatel.mobilehall.util.customview.CustomTextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="@string/color"
                            android:textColor="@android:color/black"
                            android:textSize="@dimen/small_text_size" />

                        <TextView
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:gravity="end"
                            android:text=":"
                            android:textColor="@android:color/black"
                            android:textSize="@dimen/small_text_size" />
                    </LinearLayout>

                    <com.seatel.mobilehall.util.customview.CustomTextView
                        android:id="@+id/tv_device_color"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:text=""
                        android:textColor="@android:color/black"
                        android:textSize="@dimen/small_text_size"
                        android:textStyle="bold" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content">

                    <LinearLayout
                        android:layout_width="60dp"
                        android:layout_height="wrap_content"
                        android:layout_marginEnd="10dp">

                        <com.seatel.mobilehall.util.customview.CustomTextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="@string/storage"
                            android:textColor="@android:color/black"
                            android:textSize="@dimen/small_text_size" />

                        <TextView
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:gravity="end"
                            android:text=":"
                            android:textColor="@android:color/black"
                            android:textSize="@dimen/small_text_size" />
                    </LinearLayout>

                    <TextView
                        android:id="@+id/tv_device_storage"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:text=""
                        android:textColor="@android:color/black"
                        android:textSize="@dimen/small_text_size"
                        android:textStyle="bold" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="5dp"
                    android:gravity="center_vertical">

                    <LinearLayout
                        android:layout_width="60dp"
                        android:layout_height="wrap_content"
                        android:layout_marginEnd="10dp">

                        <com.seatel.mobilehall.util.customview.CustomTextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="Quantity"
                            android:textColor="@android:color/black"
                            android:textSize="@dimen/small_text_size" />

                        <TextView
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:gravity="end"
                            android:text=":"
                            android:textColor="@android:color/black"
                            android:textSize="@dimen/small_text_size" />
                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="22dp"
                        android:layout_marginEnd="10dp"
                        android:gravity="center_vertical">

                        <ImageView
                            android:id="@+id/image_view_remove"
                            android:layout_width="18dp"
                            android:layout_height="18dp"
                            android:layout_marginEnd="2dp"
                            android:background="@drawable/bg_box_qty"
                            android:padding="5dp"
                            android:src="@drawable/ic_minus_grey" />

                        <TextView
                            android:id="@+id/tv_device_qty"
                            android:layout_width="wrap_content"
                            android:layout_height="match_parent"
                            android:background="@drawable/bg_box_qty_grey"
                            android:gravity="center"
                            android:paddingEnd="10dp"
                            android:paddingStart="10dp"
                            android:text="1"
                            android:textColor="@android:color/black"
                            android:textSize="@dimen/small_text_size"
                            android:textStyle="bold" />

                        <ImageView
                            android:id="@+id/image_view_add"
                            android:layout_width="18dp"
                            android:layout_height="18dp"
                            android:layout_marginStart="2dp"
                            android:background="@drawable/bg_box_qty"
                            android:padding="5dp"
                            android:src="@drawable/ic_plus_grey" />
                    </LinearLayout>
                </LinearLayout>

            </LinearLayout>

            <!--<TextView-->
                <!--android:id="@+id/tv_device_price"-->
                <!--android:layout_width="wrap_content"-->
                <!--android:layout_height="wrap_content"-->
                <!--android:layout_marginTop="10dp"-->
                <!--android:text="$0"-->
                <!--android:textColor="@android:color/black"-->
                <!--android:textSize="@dimen/large_text_size" />-->

        </LinearLayout>

    </LinearLayout>

    <View
        android:layout_width="match_parent"
        android:layout_height="0.5dp"
        android:background="@color/line_table" />

    <LinearLayout
        android:id="@+id/layout_total"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@color/colorPinkSoft"
            android:paddingBottom="5dp"
            android:paddingEnd="15dp"
            android:paddingStart="57dp"
            android:paddingTop="5dp">

            <com.seatel.mobilehall.util.customview.CustomTextView
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:text="@string/total"
                android:textColor="@android:color/black" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="$"
                android:textColor="@color/colorPrimary"
                android:textSize="@dimen/large_text_size" />

            <TextView
                android:id="@+id/tv_total"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="0"
                android:textColor="@color/colorPrimary"
                android:textSize="@dimen/large_text_size"
                android:textStyle="bold" />
        </LinearLayout>

        <View
            android:layout_width="match_parent"
            android:layout_height="0.5dp"
            android:background="@color/line_table" />

        <View
            android:layout_width="match_parent"
            android:layout_height="0.5dp"
            android:layout_marginTop="10dp"
            android:background="@color/line_table" />
    </LinearLayout>
</LinearLayout>